ViennaCL - The Vienna Computing Library: viennacl::device_specific::mapped_scalar Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::device_specific::mapped_scalar Class Reference

Scalar. More...

`#include <mapped_objects.hpp>`

Inheritance diagram for viennacl::device_specific::mapped_scalar:

## Public Member Functions
| mapped_scalar (std::string const &scalartype, unsigned int id)
Public Member Functions inherited from viennacl::device_specific::mapped_handle
| mapped_handle (std::string const &scalartype, unsigned int id, std::string const &type_key)
std::string & | append_kernel_arguments (std::set< std::string > &already_generated, std::string &str, unsigned int width) const
Public Member Functions inherited from viennacl::device_specific::mapped_object
| mapped_object (std::string const &scalartype, unsigned int id, std::string const &type_key)
virtual | ~mapped_object ()
std::string | type_key () const
std::string const & | name () const
std::string | process (std::string const &in) const
std::string | evaluate (std::map< std::string, std::string > const &accessors) const

## Additional Inherited Members
Protected Member Functions inherited from viennacl::device_specific::mapped_object
void | register_attribute (std::string &attribute, std::string const &key, std::string const &value)
Static Protected Member Functions inherited from viennacl::device_specific::mapped_object
static void | replace_offset (std::string &str, MorphBase const &morph)
Protected Attributes inherited from viennacl::device_specific::mapped_object
std::string | name_
std::string | scalartype_
std::string | type_key_
std::map< std::string, std::string > | keywords_

## Detailed Description

Scalar.

Maps a scalar passed by pointer

Definition at line 265 of file mapped_objects.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::mapped_scalar::mapped_scalar | ( | std::string const & | scalartype,
|  | unsigned int | id
| ) |  |
| inline

Definition at line 271 of file mapped_objects.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/mapped_objects.hpp